ID = 'id'
VERSION = 'version'
TOTAL = 'total'
INDEX = 'index'
MESSAGE_TYPE = 'messageType'
FILE_NAME = 'fileName'
TIMESTAMP = 'timestamp'
GTID = 'gtid'
POSITION = 'position'
SAFE_POSITION = 'safePosition'
TRANSACTION_ID = 'transactionId'
SERVER_ID = 'serverId'
THREAD_ID = 'threadId'
SOURCE_TYPE = 'sourceType'
SOURCE_VERSION = 'sourceVersion'
SCHEMA_NAME = 'schemaName'
TABLE_NAME = 'tableName'
OBJECT_NAME = 'objectName'
COLUMNS = 'columns'
OLD_COLUMNS = 'oldColumns'
NEW_COLUMNS = 'newColumns'
OLD_COLUMNS_B = 'oldColumnsBytes'
NEW_COLUMNS_B = 'newColumnsBytes'
SQL = 'sql'
EXECUTION_TIME = 'executionTime'
HEARTBEAT_TIMESTAMP = 'heartbeatTimestamp'
SYNCED_GTID = 'syncedGtid'
FAKE_GTID = 'fakeGtid'
PK_NAMES = 'pkNames'
TAGS = 'tags'


# MESSAGE_TYPE 的取值
INSERT = "INSERT"
UPDATE = "UPDATE"
DELETE = "DELETE"
DDL = "DDL"
BEGIN = "BEGIN"
COMMIT = "COMMIT"
HEARTBEAT = "HEARTBEAT"
CHECKPOINT = "CHECKPOINT"
ROLLBACK = "ROLLBACK"
STATEMENT = "STATEMENT"
INIT_DDL = "INIT_DDL"
INIT_INSERT = "INIT_INSERT"

# binlog中的数据类型
MYSQL_TYPE_DECIMAL = 0
MYSQL_TYPE_INT8 = 1
MYSQL_TYPE_INT16 = 2
MYSQL_TYPE_INT32 = 3
MYSQL_TYPE_FLOAT = 4
MYSQL_TYPE_DOUBLE = 5
MYSQL_TYPE_NULL = 6
MYSQL_TYPE_TIMESTAMP = 7
MYSQL_TYPE_INT64 = 8
MYSQL_TYPE_INT24 = 9
MYSQL_TYPE_DATE = 10
MYSQL_TYPE_TIME = 11
MYSQL_TYPE_DATETIME = 12
MYSQL_TYPE_YEAR = 13
MYSQL_TYPE_DATE_NEW = 14
MYSQL_TYPE_VARCHAR = 15
MYSQL_TYPE_BIT = 16
MYSQL_TYPE_TIMESTAMP_NEW = 17
MYSQL_TYPE_DATETIME_NEW = 18
MYSQL_TYPE_TIME_NEW = 19
MYSQL_TYPE_JSON = 245
MYSQL_TYPE_DECIMAL_NEW = 246
MYSQL_TYPE_ENUM = 247
MYSQL_TYPE_SET = 248
MYSQL_TYPE_TINY_BLOB = 249
MYSQL_TYPE_MEDIUM_BLOB = 250
MYSQL_TYPE_LONG_BLOB = 251
MYSQL_TYPE_BLOB = 252
MYSQL_TYPE_VAR_STRING = 253
MYSQL_TYPE_STRING = 254
MYSQL_TYPE_GEOMETRY = 255
